import * as i0 from '@angular/core';
import { Component, Input, NgModule } from '@angular/core';
import * as i1 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';

class IconModel {
    constructor(name, size, color, top, left) {
        this.name = name;
        this.size = size;
        this.color = color;
        this.top = top;
        this.left = left;
    }
}
class AngularIconComposerComponent {
    constructor() { }
    ngOnInit() {
    }
}
AngularIconComposerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.3", ngImport: i0, type: AngularIconComposerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
AngularIconComposerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.3", type: AngularIconComposerComponent, selector: "aic", inputs: { icons: "icons" }, ngImport: i0, template: `
    <style>
      .container{
        position: relative;
      }
      .overlay{
        position: absolute;
      }
    </style>
    <div class="container">
      <div class="overlay"  *ngFor="let icon of icons; let i =index;" 
          [style.top]="icon.top"
          [style.left]="icon.left"
          [style.z-index]="i">

        <mat-icon 
          [style.font-size]="icon.size"
          [style.color]="icon.color">{{icon.name}}</mat-icon>
      </div>
    </div>
  `, isInline: true, styles: ["\n      .container{\n        position: relative;\n      }\n      .overlay{\n        position: absolute;\n      }\n    "], components: [{ type: i1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }], directives: [{ type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.3", ngImport: i0, type: AngularIconComposerComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'aic',
                    template: `
    <style>
      .container{
        position: relative;
      }
      .overlay{
        position: absolute;
      }
    </style>
    <div class="container">
      <div class="overlay"  *ngFor="let icon of icons; let i =index;" 
          [style.top]="icon.top"
          [style.left]="icon.left"
          [style.z-index]="i">

        <mat-icon 
          [style.font-size]="icon.size"
          [style.color]="icon.color">{{icon.name}}</mat-icon>
      </div>
    </div>
  `,
                    styles: []
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { icons: [{
                type: Input
            }] } });

class AngularIconComposerModule {
}
AngularIconComposerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.3", ngImport: i0, type: AngularIconComposerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
AngularIconComposerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.3", ngImport: i0, type: AngularIconComposerModule, declarations: [AngularIconComposerComponent], imports: [MatIconModule, CommonModule], exports: [AngularIconComposerComponent] });
AngularIconComposerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.3", ngImport: i0, type: AngularIconComposerModule, imports: [[
            MatIconModule, CommonModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.3", ngImport: i0, type: AngularIconComposerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        AngularIconComposerComponent
                    ],
                    imports: [
                        MatIconModule, CommonModule
                    ],
                    exports: [
                        AngularIconComposerComponent
                    ]
                }]
        }] });

/*
 * Public API Surface of angular-icon-composer
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AngularIconComposerComponent, AngularIconComposerModule, IconModel };
//# sourceMappingURL=angular-icon-composer.mjs.map
